<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.JSHelper Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_j_s_helper.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_j_s_helper-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.JSHelper Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a series of Javascript helper functions.  
 <a href="class_tri_lib_1_1_j_s_helper.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.JSHelper:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_j_s_helper.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a85c01e50b31d93f5ec2900b90032f0b5"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_j_s_helper.html#a85c01e50b31d93f5ec2900b90032f0b5">GetBrowserFileName</a> (int index)</td></tr>
<tr class="memdesc:a85c01e50b31d93f5ec2900b90032f0b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the registered browser file name by index.  <a href="class_tri_lib_1_1_j_s_helper.html#a85c01e50b31d93f5ec2900b90032f0b5">More...</a><br /></td></tr>
<tr class="separator:a85c01e50b31d93f5ec2900b90032f0b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc3ec6abf0a4bd40bbf628e6b52fedee"><td class="memItemLeft" align="right" valign="top">byte[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_j_s_helper.html#abc3ec6abf0a4bd40bbf628e6b52fedee">GetBrowserFileData</a> (int index)</td></tr>
<tr class="memdesc:abc3ec6abf0a4bd40bbf628e6b52fedee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the registered browser file byte data by index.  <a href="class_tri_lib_1_1_j_s_helper.html#abc3ec6abf0a4bd40bbf628e6b52fedee">More...</a><br /></td></tr>
<tr class="separator:abc3ec6abf0a4bd40bbf628e6b52fedee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a16286c2c297bb0cc632e9f4f3099cf5e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_browser_files_loaded_event.html">BrowserFilesLoadedEvent</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_j_s_helper.html#a16286c2c297bb0cc632e9f4f3099cf5e">OnBrowserFilesLoaded</a></td></tr>
<tr class="memdesc:a16286c2c297bb0cc632e9f4f3099cf5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this event when you want to load or treat files coming from the browser.  <a href="class_tri_lib_1_1_j_s_helper.html#a16286c2c297bb0cc632e9f4f3099cf5e">More...</a><br /></td></tr>
<tr class="separator:a16286c2c297bb0cc632e9f4f3099cf5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a942824cd8bfbb5a942b5ff03b9bfed93"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_j_s_helper.html">JSHelper</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_j_s_helper.html#a942824cd8bfbb5a942b5ff03b9bfed93">Instance</a><code> [get]</code></td></tr>
<tr class="memdesc:a942824cd8bfbb5a942b5ff03b9bfed93"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the "TriLibJSHelper" instance.  <a href="class_tri_lib_1_1_j_s_helper.html#a942824cd8bfbb5a942b5ff03b9bfed93">More...</a><br /></td></tr>
<tr class="separator:a942824cd8bfbb5a942b5ff03b9bfed93"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a series of Javascript helper functions. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="abc3ec6abf0a4bd40bbf628e6b52fedee" name="abc3ec6abf0a4bd40bbf628e6b52fedee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc3ec6abf0a4bd40bbf628e6b52fedee">&#9670;&nbsp;</a></span>GetBrowserFileData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">byte [] TriLib.JSHelper.GetBrowserFileData </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets the registered browser file byte data by index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>Browser file index.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Browser file byte data.</dd></dl>

</div>
</div>
<a id="a85c01e50b31d93f5ec2900b90032f0b5" name="a85c01e50b31d93f5ec2900b90032f0b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85c01e50b31d93f5ec2900b90032f0b5">&#9670;&nbsp;</a></span>GetBrowserFileName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.JSHelper.GetBrowserFileName </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Gets the registered browser file name by index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>Browser file index.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Browser file name.</dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a16286c2c297bb0cc632e9f4f3099cf5e" name="a16286c2c297bb0cc632e9f4f3099cf5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16286c2c297bb0cc632e9f4f3099cf5e">&#9670;&nbsp;</a></span>OnBrowserFilesLoaded</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tri_lib_1_1_browser_files_loaded_event.html">BrowserFilesLoadedEvent</a> TriLib.JSHelper.OnBrowserFilesLoaded</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use this event when you want to load or treat files coming from the browser. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a942824cd8bfbb5a942b5ff03b9bfed93" name="a942824cd8bfbb5a942b5ff03b9bfed93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a942824cd8bfbb5a942b5ff03b9bfed93">&#9670;&nbsp;</a></span>Instance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tri_lib_1_1_j_s_helper.html">JSHelper</a> TriLib.JSHelper.Instance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets the "TriLibJSHelper" instance. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/Extensions/<a class="el" href="_j_s_helper_8cs.html">JSHelper.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_j_s_helper.html">JSHelper</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
